# Low Level Virtual Machine

### NAME

llvm-link

### SYNOPSIS

llvm-link [options] <filename> [filename ...]

### DESCRIPTION

The llvm-link command takes several LLVM bytecode files and links them together into a single LLVM bytecode file.

### OPTIONS

- -L <pathname>
  Specify a library search path. When looking for libraries, llvm-link will look in pathname for libraries. This option can be specified multiple times; llvm-link will search inside these directories in the order in which they were specified on the command line.

- -f
  Overwrite output files. By default, llvm-link will not overwrite an output file if it alreadys exists.

- -o <filename>
  Output filename.

- -help
  Print a summary of command line options.

- -stats
  Print statistics.

- -time-passes
  Record the amount of time needed for each pass and print it to standard error.

- -v
  Verbose mode. Print information about what llvm-link is doing.

### EXIT STATUS

If llvm-link succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

### SEE ALSO

llvm-dis, lli

LLVM Team